---
agentTools:
  projectIndex: https://onebrick.readme.io/llms.txt
---

# Get List of Available Top Up Options

Allows you to retrieve list of available top up options through API integration.

This endpoint returns the available bank top-up options for your registered company account.

Use it before displaying top-up instructions to an operator or customer. The response includes the supported bank names, bank short codes, and VA numbers that can be used to top up your Brick balance.

## How to Use It

1. Generate a new public access token.
2. Send the registered company email in the query parameter.
3. Display the returned top-up options in your dashboard or internal tool.
4. Use [Get Balance](/reference/get-balance-api) or [Get Top Up History](/reference/get-top-up-history) to reconcile balance movement after payment.

## Response Data

| Field           | Description                                     |
| :-------------- | :---------------------------------------------- |
| `bankName`      | Full bank name.                                 |
| `bankShortCode` | Brick bank short code.                          |
| `vaNumber`      | Virtual account number used for balance top-up. |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Payment v2",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://sandbox.onebrick.io/v2/payments/gs"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "publicAccessToken",
        "x-default": "Bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/top-up/bank/list": {
      "get": {
        "summary": "Get List of Available Top Up Options",
        "description": "Allows you to retrieve list of available top up options through API integration.",
        "operationId": "get-list-of-available-top-up-options",
        "parameters": [
          {
            "name": "email",
            "in": "query",
            "description": "Your company's email account registered during registration process",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": 200,\n    \"data\": {\n        \"vaListData\": [\n            {\n                \"bankName\": \"Bank BNI\",\n                \"bankShortCode\": \"BNI\",\n                \"vaNumber\": \"98819xxxxx\"\n            },\n            {\n                \"bankName\": \"Bank BRI\",\n                \"bankShortCode\": \"BRI\",\n                \"vaNumber\": \"1005xxxxx\"\n            },\n            {\n                \"bankName\": \"Bank CIMB Niaga\",\n                \"bankShortCode\": \"CIMB_NIAGA\",\n                \"vaNumber\": \"2309xxxxx\"\n            },\n            {\n                \"bankName\": \"Bank Mandiri\",\n                \"bankShortCode\": \"MANDIRI\",\n                \"vaNumber\": \"8804xxxxx\"\n            }\n        ]\n    },\n    \"metaData\": {\n        \"source\": \"API\",\n        \"entity\": \"Payment\"\n    },\n    \"error\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "vaListData": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "bankName": {
                                "type": "string",
                                "example": "Bank BNI"
                              },
                              "bankShortCode": {
                                "type": "string",
                                "example": "BNI"
                              },
                              "vaNumber": {
                                "type": "string",
                                "example": "98819xxxxx"
                              }
                            }
                          }
                        }
                      }
                    },
                    "metaData": {
                      "type": "object",
                      "properties": {
                        "source": {
                          "type": "string",
                          "example": "API"
                        },
                        "entity": {
                          "type": "string",
                          "example": "Payment"
                        }
                      }
                    },
                    "error": {}
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": 400,\n    \"error\": {\n        \"code\": \"invalid_parameters_in_headers\",\n        \"message\": \"Please use valid publicAccessToken in headers\",\n        \"action\": \"Please generate valid public access token\",\n        \"reason\": \"Invalid publicAccessToken in headers\"\n    },\n    \"metaData\": {\n        \"source\": \"API\",\n        \"entity\": \"Payment\"\n    },\n    \"data\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "example": "invalid_parameters_in_headers"
                        },
                        "message": {
                          "type": "string",
                          "example": "Please use valid publicAccessToken in headers"
                        },
                        "action": {
                          "type": "string",
                          "example": "Please generate valid public access token"
                        },
                        "reason": {
                          "type": "string",
                          "example": "Invalid publicAccessToken in headers"
                        }
                      }
                    },
                    "metaData": {
                      "type": "object",
                      "properties": {
                        "source": {
                          "type": "string",
                          "example": "API"
                        },
                        "entity": {
                          "type": "string",
                          "example": "Payment"
                        }
                      }
                    },
                    "data": {}
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "62aa98669833aa0028c5a455:682c5d73a57ad500111ee9f7"
}
```